> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List system-defined workflow variables with filtering and pagination



## OpenAPI

````yaml /openapi/workflows.json post /workflows/variables/system/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/variables/system/list:
    post:
      tags:
        - Workflows
      summary: List system-defined workflow variables with filtering and pagination
      operationId: workflows.variables.listSystem
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    type:
                      anyOf:
                        - enum:
                            - string
                            - number
                            - boolean
                            - date
                            - timestamp
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - string
                                - number
                                - boolean
                                - date
                                - timestamp
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - string
                                  - number
                                  - boolean
                                  - date
                                  - timestamp
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - string
                                  - number
                                  - boolean
                                  - date
                                  - timestamp
                                type: string
                      description: Type
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    referenceDate:
                      anyOf:
                        - type: string
                          format: date
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date
                            gt:
                              type: string
                              format: date
                            gte:
                              type: string
                              format: date
                            lt:
                              type: string
                              format: date
                            lte:
                              type: string
                              format: date
                      description: Reference Date
                sort:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        enum:
                          - name
                          - relevance
                        type: string
                      direction:
                        enum:
                          - asc
                          - desc
                        type: string
                    required:
                      - field
                      - direction
                cursor:
                  type: string
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                includeTotalCount:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        value: {}
                        description:
                          type: string
                        type:
                          enum:
                            - string
                            - number
                            - boolean
                            - date
                            - timestamp
                          type: string
                        scope:
                          const: system
                        scopes:
                          type: array
                          minItems: 1
                          items:
                            enum:
                              - base
                              - MX:AV
                              - MX:AV:ARI
                              - MX:AV:AVI
                              - MX:AV:INM
                              - MX:AV:JYS
                              - MX:AV:MJR
                              - MX:AV:MPC
                              - MX:AV:TSC
                              - MX:AV:VEH
                              - MX:CNBV
                              - MX:CNBV:TRANSMISOR
                              - MX
                            type: string
                        effectiveDate:
                          type: string
                      required:
                        - name
                        - description
                        - type
                        - scope
                        - scopes
                        - effectiveDate
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````